Subject: mount RAMDISK directly on rom

From: Jari <[email-masked]>
Date: Fri, 29 Sep 2000 19:05:53 +0700

Hi all,

Is there anyone know how to let the uncompressed ramdisk image in the
rom,
and mount root system directly from it (read only)?

I think that I have to modify  mount_root() function,
reinitialize  super_block *sb directly by reading ramdisk image from the
rom,
before calling add_vsfmnt(sb,"/dev/root","/"),
is that right? of course, I have to build  a kernel image with
uncompress image,
modify the code which copy ramdisk image to ram_device.

If you have done it, and see my way is incorrect,
or know where to look for information about it, teach me please.

Thanks in advance,
Jari

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/